<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__active__scan__sns__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_active_scan_sns_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__active__scan__sns__t_1a7f72ba89653be42335b33201907e4c5b" kind="variable" mutable="no" prot="public" static="no">
        <type>void(*</type>
        <definition>void(*  cy_stc_active_scan_sns_t::ptrISRCallback) (void *context)</definition>
        <argsstring>)(void *context)</argsstring>
        <name>ptrISRCallback</name>
        <briefdescription>
<para>Pointer to the interrupt handler of the active sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="749" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="749" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1ab57fc4e1bdf74350bf3c6a701ad3c56a" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref> *</type>
        <definition>const cy_stc_capsense_widget_config_t* cy_stc_active_scan_sns_t::ptrWdConfig</definition>
        <argsstring />
        <name>ptrWdConfig</name>
        <briefdescription>
<para>Pointer to the widget configuration structure of the active sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="751" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="751" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a81beffc93033c90901da1f8debfbd59c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> *</type>
        <definition>cy_stc_capsense_widget_context_t* cy_stc_active_scan_sns_t::ptrWdContext</definition>
        <argsstring />
        <name>ptrWdContext</name>
        <briefdescription>
<para>Pointer to the widget context structure of the active sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="752" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="752" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1abc6f5af6f05f765faaca0aa5f4d9da40" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__capsense__electrode__config__t">cy_stc_capsense_electrode_config_t</ref> *</type>
        <definition>const cy_stc_capsense_electrode_config_t* cy_stc_active_scan_sns_t::ptrEltdConfig</definition>
        <argsstring />
        <name>ptrEltdConfig</name>
        <briefdescription>
<para>Pointer to the electrode configuration structure of the active sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="754" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="754" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1ada5061a0a2b46e3bff3553d98644c041" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__capsense__electrode__config__t">cy_stc_capsense_electrode_config_t</ref> *</type>
        <definition>const cy_stc_capsense_electrode_config_t* cy_stc_active_scan_sns_t::ptrRxConfig</definition>
        <argsstring />
        <name>ptrRxConfig</name>
        <briefdescription>
<para>Pointer to the Rx electrode configuration structure of the active sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="755" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="755" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a9cceebad50f0ca6d92bbfc2408d2c21a" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__capsense__electrode__config__t">cy_stc_capsense_electrode_config_t</ref> *</type>
        <definition>const cy_stc_capsense_electrode_config_t* cy_stc_active_scan_sns_t::ptrTxConfig</definition>
        <argsstring />
        <name>ptrTxConfig</name>
        <briefdescription>
<para>Pointer to the Tx electrode configuration structure of the active sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="756" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="756" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1aeb8898be429a7205311694ac340b0d2e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref> *</type>
        <definition>cy_stc_capsense_sensor_context_t* cy_stc_active_scan_sns_t::ptrSnsContext</definition>
        <argsstring />
        <name>ptrSnsContext</name>
        <briefdescription>
<para>Pointer to the sensor context structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="758" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="758" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1af779789a94df30c50548991176f02a10" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_active_scan_sns_t::sensorIndex</definition>
        <argsstring />
        <name>sensorIndex</name>
        <briefdescription>
<para>Current sensor ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="760" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="760" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a3976b21c01b88709fb4c641d147a95ba" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::widgetIndex</definition>
        <argsstring />
        <name>widgetIndex</name>
        <briefdescription>
<para>Current widget ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="761" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="761" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a35dbb63147b6c493bed49f7bdfc7819d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::rxIndex</definition>
        <argsstring />
        <name>rxIndex</name>
        <briefdescription>
<para>Current Rx ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="762" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="762" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1aef1caed388c9d1fb076e710ab7db49a4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::txIndex</definition>
        <argsstring />
        <name>txIndex</name>
        <briefdescription>
<para>Current Tx ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="763" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="763" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a2bdf357c40aa4a699ed2c3dc929a32d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::connectedSnsState</definition>
        <argsstring />
        <name>connectedSnsState</name>
        <briefdescription>
<para>Shows if the current sensor is connected to analog bus. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="764" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="764" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a2afc0b2553f1d967a0d8da996c6e527c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::scanScopeAll</definition>
        <argsstring />
        <name>scanScopeAll</name>
        <briefdescription>
<para>Request of scanning all widgets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="765" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="765" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a8e14625ae7b326c80fedb252cc748ea6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::scanScopeSns</definition>
        <argsstring />
        <name>scanScopeSns</name>
        <briefdescription>
<para>Request of scanning a single sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="766" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="766" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1abb24deb10dc9b5f7e654cdcd0916938b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::mfsChannelIndex</definition>
        <argsstring />
        <name>mfsChannelIndex</name>
        <briefdescription>
<para>MFS channel index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="767" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="767" />
      </memberdef>
      <memberdef id="structcy__stc__active__scan__sns__t_1a623c26b8d6deb2025f4a4ae186bdb8b5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_active_scan_sns_t::currentSenseMethod</definition>
        <argsstring />
        <name>currentSenseMethod</name>
        <briefdescription>
<para>Current sensing method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="768" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="768" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares active sensor details. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="10">
        <label>cy_stc_capsense_advanced_touchpad_config_t</label>
        <link refid="structcy__stc__capsense__advanced__touchpad__config__t" />
      </node>
      <node id="23">
        <label>cy_stc_capsense_tfsc_context_t</label>
        <link refid="structcy__stc__capsense__tfsc__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="17">
        <label>cy_stc_capsense_ofdc_context_t</label>
        <link refid="structcy__stc__capsense__ofdc__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="22">
        <label>cy_stc_capsense_ofrt_context_t</label>
        <link refid="structcy__stc__capsense__ofrt__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="16">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="2">
        <label>cy_stc_capsense_sensor_context_t</label>
        <link refid="structcy__stc__capsense__sensor__context__t" />
      </node>
      <node id="6">
        <label>cy_stc_capsense_position_t</label>
        <link refid="structcy__stc__capsense__position__t" />
      </node>
      <node id="5">
        <label>cy_stc_capsense_touch_t</label>
        <link refid="structcy__stc__capsense__touch__t" />
        <childnode refid="6" relation="usage">
          <edgelabel>ptrPosition</edgelabel>
        </childnode>
      </node>
      <node id="20">
        <label>cy_stc_capsense_tfsl_context_t</label>
        <link refid="structcy__stc__capsense__tfsl__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="26">
        <label>cy_stc_capsense_electrode_config_t</label>
        <link refid="structcy__stc__capsense__electrode__config__t" />
        <childnode refid="27" relation="usage">
          <edgelabel>ptrPin</edgelabel>
        </childnode>
      </node>
      <node id="3">
        <label>cy_stc_capsense_widget_config_t</label>
        <link refid="structcy__stc__capsense__widget__config__t" />
        <childnode refid="2" relation="usage">
          <edgelabel>ptrSnsContext</edgelabel>
        </childnode>
        <childnode refid="4" relation="usage">
          <edgelabel>ptrGestureConfig</edgelabel>
        </childnode>
        <childnode refid="5" relation="usage">
          <edgelabel>ptrPosFilterHistory</edgelabel>
        </childnode>
        <childnode refid="7" relation="usage">
          <edgelabel>ptrBallisticContext</edgelabel>
        </childnode>
        <childnode refid="8" relation="usage">
          <edgelabel>ptrCsxTouchHistory</edgelabel>
        </childnode>
        <childnode refid="9" relation="usage">
          <edgelabel>ptrNoiseEnvelope</edgelabel>
        </childnode>
        <childnode refid="10" relation="usage">
          <edgelabel>advConfig</edgelabel>
        </childnode>
        <childnode refid="11" relation="usage">
          <edgelabel>ptrCsxTouchBuffer</edgelabel>
        </childnode>
        <childnode refid="12" relation="usage">
          <edgelabel>ballisticConfig</edgelabel>
        </childnode>
        <childnode refid="13" relation="usage">
          <edgelabel>aiirConfig</edgelabel>
        </childnode>
        <childnode refid="14" relation="usage">
          <edgelabel>ptrGestureContext</edgelabel>
        </childnode>
        <childnode refid="26" relation="usage">
          <edgelabel>ptrEltdConfig</edgelabel>
        </childnode>
        <childnode refid="28" relation="usage">
          <edgelabel>ptrWdContext</edgelabel>
        </childnode>
      </node>
      <node id="19">
        <label>cy_stc_capsense_ofsc_context_t</label>
        <link refid="structcy__stc__capsense__ofsc__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="9">
        <label>cy_stc_capsense_smartsense_csd_noise_envelope_t</label>
        <link refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t" />
      </node>
      <node id="8">
        <label>cy_stc_capsense_csx_touch_history_t</label>
        <link refid="structcy__stc__capsense__csx__touch__history__t" />
        <childnode refid="6" relation="usage">
          <edgelabel>oldPeak</edgelabel>
        </childnode>
      </node>
      <node id="4">
        <label>cy_stc_capsense_gesture_config_t</label>
        <link refid="structcy__stc__capsense__gesture__config__t" />
      </node>
      <node id="21">
        <label>cy_stc_capsense_ofcd_context_t</label>
        <link refid="structcy__stc__capsense__ofcd__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="15">
        <label>cy_stc_capsense_ofes_context_t</label>
        <link refid="structcy__stc__capsense__ofes__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="1">
        <label>cy_stc_active_scan_sns_t</label>
        <link refid="structcy__stc__active__scan__sns__t" />
        <childnode refid="2" relation="usage">
          <edgelabel>ptrSnsContext</edgelabel>
        </childnode>
        <childnode refid="3" relation="usage">
          <edgelabel>ptrWdConfig</edgelabel>
        </childnode>
        <childnode refid="26" relation="usage">
          <edgelabel>ptrEltdConfig</edgelabel>
          <edgelabel>ptrRxConfig</edgelabel>
          <edgelabel>ptrTxConfig</edgelabel>
        </childnode>
        <childnode refid="28" relation="usage">
          <edgelabel>ptrWdContext</edgelabel>
        </childnode>
      </node>
      <node id="25">
        <label>cy_stc_capsense_ofsl_context_t</label>
        <link refid="structcy__stc__capsense__ofsl__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="11">
        <label>cy_stc_capsense_csx_touch_buffer_t</label>
        <link refid="structcy__stc__capsense__csx__touch__buffer__t" />
        <childnode refid="6" relation="usage">
          <edgelabel>newPeak</edgelabel>
        </childnode>
      </node>
      <node id="12">
        <label>cy_stc_capsense_ballistic_config_t</label>
        <link refid="structcy__stc__capsense__ballistic__config__t" />
      </node>
      <node id="13">
        <label>cy_stc_capsense_adaptive_filter_config_t</label>
        <link refid="structcy__stc__capsense__adaptive__filter__config__t" />
      </node>
      <node id="27">
        <label>cy_stc_capsense_pin_config_t</label>
        <link refid="structcy__stc__capsense__pin__config__t" />
      </node>
      <node id="7">
        <label>cy_stc_capsense_ballistic_context_t</label>
        <link refid="structcy__stc__capsense__ballistic__context__t" />
      </node>
      <node id="28">
        <label>cy_stc_capsense_widget_context_t</label>
        <link refid="structcy__stc__capsense__widget__context__t" />
        <childnode refid="5" relation="usage">
          <edgelabel>wdTouch</edgelabel>
        </childnode>
      </node>
      <node id="24">
        <label>cy_stc_capsense_offl_context_t</label>
        <link refid="structcy__stc__capsense__offl__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="18">
        <label>cy_stc_capsense_tfzm_context_t</label>
        <link refid="structcy__stc__capsense__tfzm__context__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="14">
        <label>cy_stc_capsense_gesture_context_t</label>
        <link refid="structcy__stc__capsense__gesture__context__t" />
        <childnode refid="15" relation="usage">
          <edgelabel>ofesContext</edgelabel>
        </childnode>
        <childnode refid="17" relation="usage">
          <edgelabel>ofdcContext</edgelabel>
        </childnode>
        <childnode refid="18" relation="usage">
          <edgelabel>tfzmContext</edgelabel>
        </childnode>
        <childnode refid="19" relation="usage">
          <edgelabel>ofscContext</edgelabel>
        </childnode>
        <childnode refid="20" relation="usage">
          <edgelabel>tfslContext</edgelabel>
        </childnode>
        <childnode refid="21" relation="usage">
          <edgelabel>ofcdContext</edgelabel>
        </childnode>
        <childnode refid="22" relation="usage">
          <edgelabel>ofrtContext</edgelabel>
        </childnode>
        <childnode refid="23" relation="usage">
          <edgelabel>tfscContext</edgelabel>
        </childnode>
        <childnode refid="24" relation="usage">
          <edgelabel>offlContext</edgelabel>
        </childnode>
        <childnode refid="25" relation="usage">
          <edgelabel>ofslContext</edgelabel>
        </childnode>
        <childnode refid="16" relation="usage">
          <edgelabel>positionLast1</edgelabel>
          <edgelabel>positionLast2</edgelabel>
          <edgelabel>position1</edgelabel>
          <edgelabel>position2</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="769" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="746" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="747" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a2bdf357c40aa4a699ed2c3dc929a32d3" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>connectedSnsState</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a623c26b8d6deb2025f4a4ae186bdb8b5" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>currentSenseMethod</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1abb24deb10dc9b5f7e654cdcd0916938b" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>mfsChannelIndex</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1abc6f5af6f05f765faaca0aa5f4d9da40" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrEltdConfig</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a7f72ba89653be42335b33201907e4c5b" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrISRCallback</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1ada5061a0a2b46e3bff3553d98644c041" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrRxConfig</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1aeb8898be429a7205311694ac340b0d2e" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrSnsContext</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a9cceebad50f0ca6d92bbfc2408d2c21a" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrTxConfig</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1ab57fc4e1bdf74350bf3c6a701ad3c56a" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrWdConfig</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a81beffc93033c90901da1f8debfbd59c" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>ptrWdContext</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a35dbb63147b6c493bed49f7bdfc7819d" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>rxIndex</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a2afc0b2553f1d967a0d8da996c6e527c" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>scanScopeAll</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a8e14625ae7b326c80fedb252cc748ea6" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>scanScopeSns</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1af779789a94df30c50548991176f02a10" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>sensorIndex</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1aef1caed388c9d1fb076e710ab7db49a4" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>txIndex</name></member>
      <member prot="public" refid="structcy__stc__active__scan__sns__t_1a3976b21c01b88709fb4c641d147a95ba" virt="non-virtual"><scope>cy_stc_active_scan_sns_t</scope><name>widgetIndex</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>